curl -X PATCH \
-H "Authorization: Bearer sk_workspace_test_..." \
-H "Content-Type: application/json" \
-d '{"name": "KYC Premium v2"}' \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows/wf_abc123"
{
"workflowId": "wf_abc123",
"name": "KYC Premium v2",
"entryNodeId": "nd_req",
"nodes": [
{ "id": "nd_req", "type": "request", "next": "nd_verify" },
{ "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name", "birthdate"] } },
{ "id": "nd_resp", "type": "response" }
],
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-16T14:30:00.000Z"
}
Workflows
Update Workflow
Partially update a workflow.
PATCH
/
apps
/
{client_id}
/
workflows
/
{workflow_id}
curl -X PATCH \
-H "Authorization: Bearer sk_workspace_test_..." \
-H "Content-Type: application/json" \
-d '{"name": "KYC Premium v2"}' \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows/wf_abc123"
{
"workflowId": "wf_abc123",
"name": "KYC Premium v2",
"entryNodeId": "nd_req",
"nodes": [
{ "id": "nd_req", "type": "request", "next": "nd_verify" },
{ "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name", "birthdate"] } },
{ "id": "nd_resp", "type": "response" }
],
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-16T14:30:00.000Z"
}
Partially update a workflow. Only provided fields are changed. Provider keys in
VERIFICATION nodes must exist in app.providers.
Request
string
required
Bearer <API_KEY> from Console > Developers > Workspace API Keys.string
application/jsonPath parameters
string
required
Client identifier of the app.
string
required
Workflow identifier.
Request body
All fields are optional.string
Updated workflow name.
string
Updated entry node ID.
object[]
Updated array of flow nodes.
Response
Returns the updated workflow object.curl -X PATCH \
-H "Authorization: Bearer sk_workspace_test_..." \
-H "Content-Type: application/json" \
-d '{"name": "KYC Premium v2"}' \
"https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows/wf_abc123"
{
"workflowId": "wf_abc123",
"name": "KYC Premium v2",
"entryNodeId": "nd_req",
"nodes": [
{ "id": "nd_req", "type": "request", "next": "nd_verify" },
{ "id": "nd_verify", "type": "verification", "next": "nd_resp", "config": { "channel": "oidc", "claims": ["name", "birthdate"] } },
{ "id": "nd_resp", "type": "response" }
],
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-16T14:30:00.000Z"
}

